Bug 1125941 - [abrt] glib2-tests: g_test_log(): testing killed by SIGABRT
Summary: [abrt] glib2-tests: g_test_log(): testing killed by SIGABRT
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: glib2
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0c0bdef898f9399d2e540273918...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 11:44 UTC by Vadim Rutkovsky
Modified: 2014-11-07 13:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-07 13:57:35 UTC


Attachments (Terms of Use)
File: backtrace (5.76 KB, text/plain)
2014-08-01 11:44 UTC, Vadim Rutkovsky
no flags Details
File: cgroup (206 bytes, text/plain)
2014-08-01 11:44 UTC, Vadim Rutkovsky
no flags Details
File: core_backtrace (2.48 KB, text/plain)
2014-08-01 11:44 UTC, Vadim Rutkovsky
no flags Details
File: dso_list (533 bytes, text/plain)
2014-08-01 11:44 UTC, Vadim Rutkovsky
no flags Details
File: environ (786 bytes, text/plain)
2014-08-01 11:44 UTC, Vadim Rutkovsky
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-01 11:44 UTC, Vadim Rutkovsky
no flags Details
File: maps (2.92 KB, text/plain)
2014-08-01 11:44 UTC, Vadim Rutkovsky
no flags Details
File: open_fds (129 bytes, text/plain)
2014-08-01 11:44 UTC, Vadim Rutkovsky
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2014-08-01 11:44 UTC, Vadim Rutkovsky
no flags Details
File: var_log_messages (2.91 KB, text/plain)
2014-08-01 11:44 UTC, Vadim Rutkovsky
no flags Details

Description Vadim Rutkovsky 2014-08-01 11:44:15 UTC
Description of problem:
Fedora-specific issue: libgdbus-example-objectmanager.so.0 is being installed somewhere outside the place tests expect it to be. Not reproducible upstream

Version-Release number of selected component:
glib2-tests-2.41.2-2.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/installed-tests/glib/testing -q -p /misc/fail --GTestSubprocess
crash_function: g_test_log
executable:     /usr/libexec/installed-tests/glib/testing
kernel:         3.16.0-0.rc7.git1.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (5 frames)
 #2 g_test_log at gtestutils.c:752
 #3 test_case_run at gtestutils.c:2078
 #4 g_test_run_suite_internal at gtestutils.c:2120
 #6 g_test_run_suite at gtestutils.c:2184
 #7 g_test_run at gtestutils.c:1488

Comment 1 Vadim Rutkovsky 2014-08-01 11:44:18 UTC
Created attachment 923257 [details]
File: backtrace

Comment 2 Vadim Rutkovsky 2014-08-01 11:44:19 UTC
Created attachment 923258 [details]
File: cgroup

Comment 3 Vadim Rutkovsky 2014-08-01 11:44:20 UTC
Created attachment 923259 [details]
File: core_backtrace

Comment 4 Vadim Rutkovsky 2014-08-01 11:44:21 UTC
Created attachment 923260 [details]
File: dso_list

Comment 5 Vadim Rutkovsky 2014-08-01 11:44:22 UTC
Created attachment 923261 [details]
File: environ

Comment 6 Vadim Rutkovsky 2014-08-01 11:44:23 UTC
Created attachment 923262 [details]
File: limits

Comment 7 Vadim Rutkovsky 2014-08-01 11:44:25 UTC
Created attachment 923263 [details]
File: maps

Comment 8 Vadim Rutkovsky 2014-08-01 11:44:26 UTC
Created attachment 923264 [details]
File: open_fds

Comment 9 Vadim Rutkovsky 2014-08-01 11:44:27 UTC
Created attachment 923265 [details]
File: proc_pid_status

Comment 10 Vadim Rutkovsky 2014-08-01 11:44:28 UTC
Created attachment 923266 [details]
File: var_log_messages

Comment 11 Matthias Clasen 2014-09-05 03:57:19 UTC
should be fixed in glib2-2.41.4-3.fc21

Comment 12 Vadim Rutkovsky 2014-11-07 13:55:19 UTC
Still happens in glib2-tests-2.42.0-1.fc21.x86_64, see affected versions in https://retrace.fedoraproject.org/faf/reports/400270/

Comment 13 Vadim Rutkovsky 2014-11-07 13:57:35 UTC
Oops, its a different problem (though abrt mistakenly refers to this bug)


Note You need to log in before you can comment on or make changes to this bug.